org.apache.lucene.util.fst

## Class Util.FSTPath<T>

- java.lang.Object
- - org.apache.lucene.util.fst.Util.FSTPath<T>

- Enclosing class:
    Util

      public static class Util.FSTPath<T>
      extends Object

  Represents a path in TopNSearcher.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FST.Arc<T>` | `arc`
    `float` | `boost`
    `CharSequence` | `context`
    `T` | `cost`
    `IntsRefBuilder` | `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util.FSTPath(T cost, FST.Arc<T> arc, IntsRefBuilder input)` Sole constructor
    `Util.FSTPath(T cost, FST.Arc<T> arc, IntsRefBuilder input, float boost, CharSequence context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Util.FSTPath<T>` | `newPath(T cost, IntsRefBuilder input)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### arc

          public FST.Arc<T> arc

    - #### cost

          public T cost

    - #### input

          public final IntsRefBuilder input

    - #### boost

          public final float boost

    - #### context

          public final CharSequence context

  - ### Constructor Detail

    - #### Util.FSTPath

          public Util.FSTPath(T cost,
                      FST.Arc<T> arc,
                      IntsRefBuilder input)

      Sole constructor

    - #### Util.FSTPath

          public Util.FSTPath(T cost,
                      FST.Arc<T> arc,
                      IntsRefBuilder input,
                      float boost,
                      CharSequence context)

  - ### Method Detail

    - #### newPath

          public Util.FSTPath<T> newPath(T cost,
                                IntsRefBuilder input)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.